%define module_name Graphics-Framebuffer
%add_findreq_skiplist */Graphics/Framebuffer.pm
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Map.pm) perl(Imager.pm) perl(Inline.pm) perl(Inline/C.pm) perl(Inline/MakeMaker.pm) perl(List/Util.pm) perl(Math/Bezier.pm) perl(Math/Gradient.pm) perl(Math/Trig.pm) perl(Pod/Usage.pm) perl(Sys/CPU.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm) perl(threads.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 6.52
Release: alt2
Summary: A Simple Framebuffer Graphics Library
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RK/RKELSCH/%{module_name}-%{version}.tar.gz

%description
A (mostly) Pure Perl graphics library for exclusive use in a console framebuffer
environment.  It is written for simplicity without the need for complex API's
and drivers.

Back in the old days, computers drew graphics this way, and it was simple and
easy to do.  I was writing a console based media playing program, and was not
satisfied with the limited abilities offered by the Curses library, and I did
not want the overhead of the X environment to get in the way.  My intention
was to create a mobile media server.  In case you are wondering, that project
has been quite successful, and I am still making improvements to it.

There are places where Pure Perl just won't cut it.  So I use the Imager
library to take up the slack.  It's just used to load and save images, and
draw TrueType text.

I cannot guarantee this will work on your video card, but I have successfully
tested it on NVidia GeForce, AMD Radeon, Matrox,  and VirtualBox displays.
However, you MUST remember, your video driver MUST be framebuffer based.  The
proprietary Nvidia and AMD drivers will NOT work with this module.  You must use
the open source video drivers, such as Nouveau, to be able to use this library.
Also, it is not going to work from within X, so don't even try it.  This is a
console only graphics library.

I highly suggest you use 32 bit mode and avoid 16 bit, as it has been a long time
since I tested it on a 16 bit graphics mode.

NOTE:

If a framebuffer is not available, the module will go into emulation
mode and open a pseudo-screen in the object's hash variable 'SCREEN'

You can write this to a file, whatever.  It defaults to a 640x480x32
graphics 'buffer'.  However, you can change that by passing parameters
to the 'new' method.

You will not be able to see the output directly when in emulation
mode.  I mainly created this mode so that you could install this
module and test code you may be writing to be used on other devices
that have accessible framebuffer devices.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.md LICENSE ignore.txt Changes examples
%perl_vendor_archlib/G*
%perl_vendor_autolib/G*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 6.52-alt2
- rebuild with perl 5.38

* Sun Jul 30 2023 Igor Vlasenko <viy@altlinux.org> 6.52-alt1
- updated by package builder

* Thu Jul 01 2021 Igor Vlasenko <viy@altlinux.ru> 6.49-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 6.48-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 6.48-alt2
- rebuild with perl 5.30

* Tue Apr 14 2020 Igor Vlasenko <viy@altlinux.ru> 6.48-alt1
- updated by package builder

* Wed Dec 11 2019 Igor Vlasenko <viy@altlinux.ru> 6.46-alt1
- updated by package builder

* Tue Dec 03 2019 Igor Vlasenko <viy@altlinux.ru> 6.43-alt1
- updated by package builder

* Mon Dec 02 2019 Igor Vlasenko <viy@altlinux.ru> 6.42-alt1
- updated by package builder

* Sun Dec 01 2019 Igor Vlasenko <viy@altlinux.ru> 6.41-alt1
- updated by package builder

* Wed Nov 06 2019 Igor Vlasenko <viy@altlinux.ru> 6.40-alt1
- updated by package builder

* Mon Nov 04 2019 Igor Vlasenko <viy@altlinux.ru> 6.39-alt1
- updated by package builder

* Fri Oct 25 2019 Igor Vlasenko <viy@altlinux.ru> 6.37-alt1
- updated by package builder

* Fri Oct 11 2019 Igor Vlasenko <viy@altlinux.ru> 6.36-alt1
- updated by package builder

* Wed Sep 11 2019 Igor Vlasenko <viy@altlinux.ru> 6.35-alt1
- updated by package builder

* Wed Aug 28 2019 Igor Vlasenko <viy@altlinux.ru> 6.32-alt1
- updated by package builder

* Sun Aug 25 2019 Igor Vlasenko <viy@altlinux.ru> 6.31-alt1
- updated by package builder

* Mon Aug 12 2019 Igor Vlasenko <viy@altlinux.ru> 6.30-alt1
- updated by package builder

* Fri May 03 2019 Igor Vlasenko <viy@altlinux.ru> 6.28-alt1
- updated by package builder

* Fri Mar 15 2019 Igor Vlasenko <viy@altlinux.ru> 6.26-alt1
- updated by package builder

* Thu Mar 14 2019 Igor Vlasenko <viy@altlinux.ru> 6.24-alt1
- updated by package builder

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 6.23-alt1
- updated by package builder

* Thu Feb 21 2019 Igor Vlasenko <viy@altlinux.ru> 6.22-alt1
- updated by package builder

* Wed Feb 20 2019 Igor Vlasenko <viy@altlinux.ru> 6.21-alt1
- updated by package builder

* Sun Feb 10 2019 Igor Vlasenko <viy@altlinux.ru> 6.20-alt1
- updated by package builder

* Fri Feb 01 2019 Igor Vlasenko <viy@altlinux.ru> 6.18-alt1
- regenerated from template by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 6.13-alt1.1
- rebuild with perl 5.28.1

* Sat Jan 12 2019 Igor Vlasenko <viy@altlinux.ru> 6.13-alt1
- regenerated from template by package builder

* Tue Dec 25 2018 Igor Vlasenko <viy@altlinux.ru> 6.11-alt1
- regenerated from template by package builder

* Mon Dec 24 2018 Igor Vlasenko <viy@altlinux.ru> 6.10-alt1
- regenerated from template by package builder

* Wed Sep 21 2016 Igor Vlasenko <viy@altlinux.ru> 5.94-alt1
- regenerated from template by package builder

* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 5.92-alt1
- regenerated from template by package builder

* Wed Jul 06 2016 Igor Vlasenko <viy@altlinux.ru> 5.88-alt1
- regenerated from template by package builder

* Thu Jun 16 2016 Igor Vlasenko <viy@altlinux.ru> 5.81-alt1
- regenerated from template by package builder

* Thu Jun 09 2016 Igor Vlasenko <viy@altlinux.ru> 5.79-alt1
- regenerated from template by package builder

* Thu May 26 2016 Igor Vlasenko <viy@altlinux.ru> 5.78-alt1
- regenerated from template by package builder

* Thu Apr 07 2016 Igor Vlasenko <viy@altlinux.ru> 5.61-alt1
- regenerated from template by package builder

* Sat Mar 19 2016 Igor Vlasenko <viy@altlinux.ru> 5.59-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 5.57-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 5.56-alt1
- regenerated from template by package builder

* Mon Dec 22 2014 Igor Vlasenko <viy@altlinux.ru> 4.09-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 4.08-alt1
- regenerated from template by package builder

* Tue May 06 2014 Igor Vlasenko <viy@altlinux.ru> 4.05-alt1
- regenerated from template by package builder

* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 4.03-alt1
- initial import by package builder

